function init(hero) {
    hero.setName("Nightwing/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(6);
    
    hero.setHelmet("item.superhero_armor.piece.mask");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addPrimaryEquipment("fiskheroes:grappling_gun", true);
    hero.addPrimaryEquipment("fiskheroes:tactical_tonfa{Dual:1}", true, item => item.nbt().getBoolean("Dual"));
    
    hero.addPowers("knights:darkest_knight_training", "knights:acrobatics");
    hero.addAttribute("PUNCH_DAMAGE", 5.2, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.3, 0);
    hero.addAttribute("FALL_RESISTANCE", 15, 0);
    hero.addAttribute("SPRINT_SPEED", 0.6, 1);
    hero.addAttribute("IMPACT_DAMAGE", 1.5, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1, 0);
    
    hero.addKeyBind("UTILITY_BELT", "key.throwingStars", 1);
    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 2);
    
    hero.setHasPermission((entity, permission) => permission == "USE_GRAPPLING_GUN");
}
